### Method

# Clutter Actor get_paint_volume

#### Declaration [src]

    const ClutterPaintVolume*
    clutter_actor_get_paint_volume (
      ClutterActor* self
    )

#### Description [src]

Retrieves the paint volume of the passed `ClutterActor`, or `NULL` when a paint volume can’t be determined.

The paint volume is defined as the 3D space occupied by an actor when being painted.

This function will call the `Clutter.ActorClass.get_paint_volume` virtual function of the `ClutterActor` class. Sub-classes of `ClutterActor` should not usually care about overriding the default implementation, unless they are, for instance: painting outside their allocation, or actors with a depth factor (not in terms of depth but real 3D depth).

Note: 2D actors overriding `Clutter.ActorClass.get_paint_volume` should ensure that their volume has a depth of 0. (This will be true as long as you don’t call `clutter_paint_volume_set_depth()`.).

#### Return value

Type: `ClutterPaintVolume`

A pointer to a `ClutterPaintVolume`, or `NULL` if no volume could be determined. The returned pointer is not guaranteed to be valid across multiple frames; if you want to keep it, you will need to copy it using `clutter_paint_volume_copy()`.

The returned data is owned by the instance.
The return value can be `NULL`.